/* Page 8 - Contact */
#contact {
  padding: 80px 20px 108px;
  scroll-margin: 100px;
}

.contact__text__wrapper {
  padding-bottom: 104px;
}

.contact__content__title {
  margin: 0;
  font-size: 20px;
  font-weight: 800;
  line-height: 160%;
  letter-spacing: -0.15px;
}

.contact__contact__links {
  display: flex;
  padding-top: 16px;
  gap: 16px;
}

.contact__contact__links a img {
  width: 16px;
}

.contact__business__info__top {
  padding-bottom: 88px;
}

.business__info__title {
  margin: 0;
  padding-bottom: 8px;
  font-size: 14px;
  font-weight: 700;
  line-height: 20px;
  letter-spacing: -0.25px;
}

.business__info__description {
  margin: 0;
  padding-bottom: 16px;
  font-size: 12px;
  font-weight: 400;
  line-height: 160%;
  letter-spacing: -0.25px;
}

.business__info__description .thick {
  font-size: 12px;
  font-weight: 700;
  line-height: 160%;
  letter-spacing: -0.15px;
}

.business__info__description .text {
  font-size: 12px;
  line-height: 160%;
  letter-spacing: -0.15px;
  color: #626972;
}

.business__info__description .warning {
  padding-top: 8px;
  font-size: 11px;
  line-height: 140%;
  letter-spacing: -0.15px;
  color: #ff5d66;
}

.business__info__store {
  display: flex;
  padding-bottom: 104px;
  gap: 8px;
}

.business__info__button {
  display: flex;
  width: 120px;
  height: 40px;
  border-radius: 8.947px;
  background: rgba(17, 17, 17, 0.72);
  align-items: center;
  justify-content: center;
}

.business__info__store > button:first-of-type {
  padding: 9.941px 19.882px;
}

.business__info__store > button:last-of-type {
  padding: 8.615px 17.231px;
}

.button__appstore {
  display: flex;
  width: 72px;
  height: 18px;
  align-items: center;
}

.button__googlplay {
  display: flex;
  width: 72px;
  height: 16px;
  align-items: center;
}

.button__appstore > picture > img {
  width: 100%;
  height: 100%;
}

.button__googlplay > picture > img {
  width: 100%;
  height: 100%;
}

.call__wrapper {
  display: flex;
  padding-bottom: 16px;
  align-items: center;
  gap: 8px;
}

.call__wrapper__img__wrapper {
  display: flex;
  align-items: center;
}

.call__wrapper__img__wrapper > img {
  width: 100%;
}

.call__number {
  margin: 0;
  font-size: 20px;
  font-style: normal;
  font-weight: 600;
  line-height: 160%;
  letter-spacing: -0.15px;
  color: #2d80eb;
}

.contact__buttons__wrapper {
  display: flex;
  padding-bottom: 104px;
  flex-direction: column;
  gap: 10px;
}

.contact__buttons {
  display: flex;
  gap: 8px;
  text-align: center;
}

.contact__button {
  padding: 8px 40px;
  border-radius: 60px;
  transition: background 0.3s ease, color 0.3s ease, border 0.3s ease;
}

.contact__button__lg {
  padding: 8px 20px;
  border-radius: 60px;
  transition: background 0.3s ease, color 0.3s ease, border 0.3s ease;
}
.contained {
  background-color: #2d80eb;
}

.outline {
  border: 1px solid #2d80eb;
}

.contained a {
  color: #fff;
  font-size: 14px;
  font-weight: 600;
  line-height: 160%;
}

.outline a {
  color: #2d80eb;
  font-size: 14px;
  font-weight: 600;
  line-height: 160%;
  transition: color 0.3s ease;
}

.kakaoplus {
  width: 284px;
  padding: 16px 36px;
  align-self: stretch;
  border-radius: 60px;
  background: #fee500;
  text-align: center;
}

.kakaoplus a {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}

.kakaoplus__wrapper {
  width: 14px;
  height: 14px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.kakaoplus__wrapper > img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.kakaoplus p {
  color: #191919;
  text-align: center;
  font-size: 14px;
  font-weight: 600;
  line-height: 160%; /* 22.4px */
}

.logo__wrapper {
  width: 136px;
  height: 16px;
  margin-bottom: 24px;
}

.logo__wrapper > picture > img {
  width: 100%;
  height: 100%;
}

.contact__contact__info {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.contact__contact__info > div {
  display: flex;
  flex-direction: column;
}

.contact__contact__info > div > span {
  display: inline-block;
  font-size: 11px;
  font-style: normal;
  font-weight: 500;
  line-height: 160%;
  letter-spacing: -0.15px;
  color: #484e57;
}

.contact__contact__policy-links {
  display: flex;
  flex-direction: row !important;
  align-items: center;
  font-size: 11px;
}

.contact__contact__policy-links a {
  color: #484e57;
  text-decoration: underline;
  cursor: pointer;
  padding-left: 8px;
  position: relative;
}

.contact__contact__policy-links a:first-of-type {
  padding-right: 8px;
  padding-left: 0;
}

.contact__contact__policy-links a + a::after {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 1px;
  height: 8px;
  background-color: #d2d8e1;
}

/*====================
    MEDIA QUERIES
  ====================*/
@media (min-width: 768px) {
  #contact {
    padding: 136px 80px;
  }

  .contact__text__wrapper {
    padding-bottom: 135px;
  }

  .contact__contact__links a img {
    width: 24px;
  }

  .business__info__title {
    padding-bottom: 16px;
    font-size: 24px;
    font-weight: 700;
    line-height: 160%;
  }

  .business__info__description {
    padding-bottom: 32px;
    font-size: 18px;
  }

  .business__info__description .thick {
    font-size: 18px;
    font-weight: 700;
  }

  .business__info__description .text {
    font-size: 16px;
  }

  .business__info__description .warning {
    font-size: 16px;
  }

  .business__info__store {
    display: flex;
    padding-bottom: 135px;
    gap: 8px;
  }

  .business__info__store > button {
    width: 160px;
    height: 56px;
    padding: 12px 16px;
    border-radius: 12px;
  }

  .button__appstore {
    width: 100px;
    height: 26px;
  }

  .button__googlplay {
    width: 114px;
    height: 26px;
  }

  .button__appstore > picture > img {
    width: 100%;
  }

  .button__googlplay > picture > img {
    width: 100%;
  }

  .contact__content__title {
    font-size: 36px;
  }

  .contact__contact__links {
    padding-top: 32px;
    gap: 24px;
  }

  .call__wrapper {
    padding-bottom: 32px;
    gap: 12px;
  }

  .call__wrapper__img__wrapper {
    width: 32px;
    height: 32px;
    justify-content: center;
  }

  .call__number {
    font-size: 32px;
    font-weight: 600;
    line-height: 160%;
  }

  .contact__buttons {
    gap: 12px;
  }

  .contact__buttons__wrapper {
    padding-bottom: 135px;
    gap: 16px;
  }

  .contained {
    width: 238px;
    padding: 16px 64px;
  }

  .contained:hover {
    background: #1d318b;
  }

  .contained a {
    font-size: 24px;
    font-weight: 600;
  }

  .outline {
    width: 213px;
    border: 2px solid #2d80eb;
  }

  .outline:hover {
    border: 2px solid #1d318b;
    color: #1d318b;
  }

  .outline:hover a {
    color: #1d318b;
  }

  .outline a {
    font-size: 24px;
    font-weight: 600;
  }

  .kakaoplus {
    width: 463px;
    padding: 24px 112px;
  }

  .kakaoplus a {
    gap: 16px;
    white-space: nowrap; /* 줄바꿈 방지 */
    max-width: 100%; /* 부모 요소 너비를 초과하지 않도록 */
  }

  .kakaoplus__wrapper {
    width: 24px;
    height: 24px;
  }

  .kakaoplus p {
    font-size: 24px;
  }

  .logo__wrapper {
    width: 208px;
    height: 36px;
    margin-bottom: 40px;
  }

  .logo__wrapper > img {
    width: 100%;
  }

  .contact__contact__info {
    gap: 24px;
  }

  .contact__contact__info > div > span {
    font-size: 16px;
    font-weight: 500;
  }

  .contact__contact__policy-links {
    font-size: 16px;
  }

  .contact__contact__policy-links a + a::after {
    height: 16px;
  }
}

@media (min-width: 1280px) {
  #contact {
    padding: 72px 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .contact__studiomate__container {
    max-width: 1099px;
  }

  .contact__studiomate__wrapper {
    display: flex;
    gap: 80px;
  }

  .contact__text__wrapper {
    width: 463px;
  }
}

@media (min-width: 1920px) {
  #contact {
    padding: 136px 373px;
  }

  .contact__studiomate__wrapper {
    display: flex;
    gap: 179px;
  }

  .contact__text__wrapper {
    width: 463px;
    padding-bottom: 136px;
  }
}
